> For the complete documentation index, see [llms.txt](https://flowmate.gitbook.io/flowmate-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://flowmate.gitbook.io/flowmate-documentation/api-reference/authentication.md).

# Authentication

## POST /login

> Login

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"authentication"}],"security":[],"paths":{"/login":{"post":{"summary":"Login","deprecated":false,"description":"","operationId":"performLogin","tags":["authentication"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Login"}}}},"responses":{"200":{"description":"Login successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessToken"}}},"headers":{}},"400":{"description":"Bad request; Missing mandatory body","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}},"403":{"description":"Cannot login user. Account is either disabled or a precondition is missing.","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}},"components":{"schemas":{"Login":{"title":"Login data","type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"}},"required":["username","password"]},"AccessToken":{"title":"Access token object","type":"object","properties":{"token":{"type":"string","description":"Auth token"},"id":{"type":"string","description":"Token id"}}}}}}
```
